name: movement
publish_to: "none"
version: 1.0.1+1

environment:
  sdk: ">=2.17.0 <3.0.0"

dependencies:
  background_locator_2: ^2.0.5
  battery_info: ^1.0.8
  calendar_page:
    git:
      url: https://gitlab.com/tabi/projects/packages/calendar_page.git
  cupertino_icons: ^1.0.2
  date_format: ^2.0.4
  scrollable_positioned_list: ^0.3.5
  device_info_plus: ^4.1.2
  drift: ^2.0.2+1
  drift_db_viewer: ^2.0.0
  fl_chart: ^0.66.2
  flare_flutter: ^3.0.2
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  flutter_map: ^6.1.0
  flutter_riverpod: ^1.0.2
  flutter_svg: ^1.0.0
  fluttertoast: ^8.0.8
  font_awesome_flutter: ^10.1.0
  geolocator: ^11.0.0
  http: ^1.0.0
  intl: ^0.18.1
  json_annotation: ^4.6.0
  json_serializable: ^6.1.1
  latlong2: ^0.9.0
  lottie: ^1.3.0
  path_provider: ^2.0.9
  provider: ^6.0.1
  questionnaire:
    git:
      url: https://gitlab.com/tabi/projects/packages/questionnaire.git
  rive: ^0.13.1
  shared_preferences: ^2.0.9
  simple_animated_icon: ^1.1.0
  sqflite: ^2.0.2+1
  sqlite3_flutter_libs: ^0.5.2
  stream_transform: ^2.0.0
  toast: ^0.3.0
  day_night_time_picker: ^1.1.2
  uuid: ^3.0.6
  url_launcher: ^6.1.5
  disable_battery_optimization: ^1.1.0+1
  flutter_local_notifications: ^16.3.2

dev_dependencies:
  build_runner:
  # dart_code_metrics: ^4.17.0
  drift_dev: ^2.16.0
  flutter_test:
    sdk: flutter
  logging: 1.1.1
  analyzer: ^6.4.1


flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/cfg/dev_settings.json
    - assets/cfg/prod_settings.json
    - assets/images/cbs_logo.png
    - assets/images/qr_code_scanning.png
    - assets/images/topbar_nl.png
    - assets/images/1.svg
    - assets/images/2.svg
    - assets/images/3.svg
    - assets/images/4.svg
    - assets/images/5.svg
    - assets/animations/loading.riv
    - assets/animations/loading_loop.riv
    - assets/i18n/en.json
    - assets/i18n/nl.json
    - assets/animations/daycomplete_bin.flr
    - assets/images/congratz.svg
    - assets/animations/confetti.json

  fonts:
    - family: Akko Pro
      fonts:
        - asset: assets/fonts/AkkoPro-Regular.ttf
    - family: Soho Pro
      fonts:
        - asset: assets/fonts/SohoPro-Medium.ttf
    - family: SourceSans
      fonts:
        - asset: assets/fonts/SourceSansPro-Regular.ttf
